Metafunction
NotC
Metaprogramming boolean "not" operator, value variant.
NotC<B>::Type
Include Headers
seqan/basic.h
Parameters

B | Argument Types: bool

Return Values
!B1.
Examples
NotC<false, true>::Type
NotC<false, false>::VALUE
NotC<AndC<false, true>::VALUE, false>::Type
NotC<AndC<false, true>, true>::Type
See Also
And, Or, AndC
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59